MARTe2-core - User story #201

Namespaces cleanup
24.08.2015 15:18 - Riccardo Vitelli

Status: Closed Start date: 24.08.2015
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.4 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Classes with only static members shall be converted, were possible, to namespaces.
This should avoid warnings from flexelint and result in clearer and more segregated code.

Source code files modified

Almost all files in LOPortability and L1Objects

Architecture & design review

As per the original MARTe implementation, this is a support function and does not require formal design in UML.

Code and documentation review
Date of the review: 31/08/2015

Person who did the review: lvan Herrero

Result of review: PASS

List of non-conformities: N/A

Unit test review

Date of the review: 02/09/2015

Person who did the review: lvan Herrero
Result of coverage tests review: PASS
Result of functional tests review: PASS
Result of review: PASS

List of non-conformities: N/A

Note: No new unit tests were added for this user story.

Associated revisions

Revision 8be01acb - 26.08.2015 09:19 - Giuseppe Ferro
Used namespace notation in FastMath.
#201

Revision ecb461cb - 31.08.2015 16:36 - Ivan Herrero
#201: Update of documentation on files with namespaces

History

#1 - 24.08.2015 15:24 - Riccardo Vitelli

- Description updated

#2 - 24.08.2015 15:25 - Riccardo Vitelli
- Status changed from New to Code: Impl

#3 - 24.08.2015 16:47 - Giuseppe Ferro

- Assignee set to Giuseppe Ferro

#4 - 25.08.2015 17:34 - Giuseppe Ferro
- Status changed from Code: Impl to Code: Rev

#5 - 25.08.2015 17:41 - Giuseppe Ferro
- Description updated

- Assignee deleted (Giuseppe Ferro)

#6 - 27.08.2015 10:12 - Riccardo Vitelli

- Assignee set to Ivan Herrero

#7 - 01.09.2015 08:56 - Ivan Herrero

- Description updated

#8 - 01.09.2015 09:18 - Riccardo Vitelli
- Status changed from Code: Rev to Unit: Impl

#9 - 01.09.2015 09:19 - Riccardo Vitelli
- Status changed from Unit: Impl to Unit: Rev

#10 - 02.09.2015 17:46 - lvan Herrero

- Description updated

#11 - 03.09.2015 11:21 - André Neto
- Status changed from Unit: Rev to Closed

- Assignee deleted (lvan Herrero)
